const Lang = imports.lang;
const Main = imports.ui.main;

let hideDash;

// extension functions
function init() {
    hideDash = new HideDash();
}

function enable() {
    hideDash.enable();
}

function disable() {
    hideDash.disable();
}


// our HideDash object
const HideDash = function() {
    this.init();
}

HideDash.prototype = {
    init: function() {

        this.observer = null;
    },

    enable: function() {

        this.observer = Main.overview.connect("showing", Lang.bind(this, this.hide));
    },

    disable: function() {

        Main.overview.disconnect(this.observer);
        this.show();
    },

    hide: function() {

        Main.overview._dash.actor.hide();
        Main.messageTray.actor.hide();
        Main.overview._viewSelector._entry.hide();
        Main.overview._viewSelector._workspacesPage.hide();
    },

    show: function() {
        Main.overview._dash.actor.show();
        Main.messageTray.actor.show();
        Main.overview._viewSelector._entry.show();
        Main.overview._viewSelector._workspacesPage.show();
    }
};
